com.amazonaws.services.codedeploy.model

## Class BatchGetDeploymentsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.BatchGetDeploymentsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class BatchGetDeploymentsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a batch get deployments operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`BatchGetDeploymentsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetDeploymentsRequest` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getDeploymentIds()` A list of deployment IDs, separated by spaces.
`int` `hashCode()`
`void` `setDeploymentIds(Collection<String> deploymentIds)` A list of deployment IDs, separated by spaces.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetDeploymentsRequest` `withDeploymentIds(Collection<String> deploymentIds)` A list of deployment IDs, separated by spaces.
`BatchGetDeploymentsRequest` `withDeploymentIds(String... deploymentIds)` A list of deployment IDs, separated by spaces.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetDeploymentsRequest

    public BatchGetDeploymentsRequest()

### Method Detail

#### getDeploymentIds

    public List<String> getDeploymentIds()

A list of deployment IDs, separated by spaces.

Returns:
  A list of deployment IDs, separated by spaces.

#### setDeploymentIds

    public void setDeploymentIds(Collection<String> deploymentIds)

A list of deployment IDs, separated by spaces.

Parameters:
  `deploymentIds` - A list of deployment IDs, separated by spaces.

#### withDeploymentIds

    public BatchGetDeploymentsRequest withDeploymentIds(String... deploymentIds)

A list of deployment IDs, separated by spaces.

NOTE: This method appends the values to the existing list (if any). Use `setDeploymentIds(java.util.Collection)` or `withDeploymentIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `deploymentIds` - A list of deployment IDs, separated by spaces.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withDeploymentIds

    public BatchGetDeploymentsRequest withDeploymentIds(Collection<String> deploymentIds)

A list of deployment IDs, separated by spaces.

Parameters:
  `deploymentIds` - A list of deployment IDs, separated by spaces.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetDeploymentsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`